Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand Class Reference
Inheritance diagram for eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand:

## Public Member Functions
| __construct (array $configuredMetadataHandlers, array $configuredBinarydataHandlers, FileListerRegistry $fileListerRegistry, FileMigratorInterface $fileMigrator)

## Protected Member Functions
| configure ()
| execute (InputInterface $input, OutputInterface $output)
| outputConfiguredHandlers (OutputInterface $output)
| Output the configured meta/binary data handlers. More...
| validateHandlerOptions ( $fromHandlers, $toHandlers, OutputInterface $output)
| Verify that the handler options have been set to meaningful values. More...
| migrateFiles ( $totalFileCount=null, $bulkCount, $dryRun, OutputInterface $output)
| Migrate files. More...

## Private Attributes
| $configuredMetadataHandlers
| $configuredBinarydataHandlers
| $fileListerRegistry
| $fileListers
| $fileMigrator

## Detailed Description

Definition at line 18 of file MigrateFilesCommand.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand::__construct | ( | array | $configuredMetadataHandlers,
|  | array | $configuredBinarydataHandlers,
|  | FileListerRegistry | $fileListerRegistry,
|  | FileMigratorInterface | $fileMigrator
| ) |  |

Definition at line 35 of file MigrateFilesCommand.php.

References eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\$configuredBinarydataHandlers, eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\$configuredMetadataHandlers, eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\$fileListerRegistry, and eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\$fileMigrator.

## Member Function Documentation

## ◆ configure()

eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand::configure | ( |  | ) |
| protected

Definition at line 60 of file MigrateFilesCommand.php.

References eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\execute().

## ◆ execute()

eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand::execute | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

Definition at line 93 of file MigrateFilesCommand.php.

References eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\migrateFiles(), eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\outputConfiguredHandlers(), and eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\validateHandlerOptions().

Referenced by eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\configure().

## ◆ migrateFiles()

eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand::migrateFiles | ( |  | $totalFileCount = `null`,
|  |  | $bulkCount,
|  |  | $dryRun,
|  | OutputInterface | $output
| ) |  |
| protected

Migrate files.

Parameters

  int | null | $totalFileCount | Total count of files, null if unknown
  int | $bulkCount | Number of files to process in each batch
  bool | $dryRun |
  OutputInterface | $output |

Definition at line 253 of file MigrateFilesCommand.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\execute().

## ◆ outputConfiguredHandlers()

eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand::outputConfiguredHandlers | ( | OutputInterface | $output | ) |
| protected

Output the configured meta/binary data handlers.

Parameters

  OutputInterface | $output |

Definition at line 189 of file MigrateFilesCommand.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\execute(), and eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\validateHandlerOptions().

## ◆ validateHandlerOptions()

eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand::validateHandlerOptions | ( |  | $fromHandlers,
|  |  | $toHandlers,
|  | OutputInterface | $output
| ) |  |
| protected

Verify that the handler options have been set to meaningful values.

Parameters

  mixed | $fromHandlers |
  mixed | $toHandlers |
  OutputInterface | $output |

Returns
  bool

Definition at line 208 of file MigrateFilesCommand.php.

References eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\outputConfiguredHandlers().

Referenced by eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\execute().

## Member Data Documentation

## ◆ $configuredBinarydataHandlers

eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand::$configuredBinarydataHandlers
| private

Definition at line 24 of file MigrateFilesCommand.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\__construct().

## ◆ $configuredMetadataHandlers

eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand::$configuredMetadataHandlers
| private

Definition at line 21 of file MigrateFilesCommand.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\__construct().

## ◆ $fileListerRegistry

eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand::$fileListerRegistry
| private

Definition at line 27 of file MigrateFilesCommand.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\__construct().

## ◆ $fileListers

eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand::$fileListers
| private

Definition at line 30 of file MigrateFilesCommand.php.

## ◆ $fileMigrator

eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand::$fileMigrator
| private

Definition at line 33 of file MigrateFilesCommand.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Command\MigrateFilesCommand\__construct().

The documentation for this class was generated from the following file:

- MigrateFilesCommand.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.